## dvblast 2.1.0

=== Makefile ===
# DVBlast Makefile
# Customise the path of your kernel

VERSION = 2.1.0
TOPDIR = `basename ${PWD}`
GIT_VER = $(shell git describe --tags --dirty --always 2>/dev/null)

CFLAGS += -Wall -Wformat-security -O3 -fomit-frame-pointer
CFLAGS += -g
ifneq "$(GIT_VER)" ""
CFLAGS += -DVERSION_EXTRA=\"git-$(GIT_VER)\"
else
CFLAGS += -DVERSION_EXTRA=\"release\"
endif
LDLIBS += -lrt
LDLIBS_DVBLAST += -lpthread

OBJ_DVBLAST = dvblast.o util.o dvb.o udp.o asi.o demux.o output.o en50221.o comm.o mrtg-cnt.o
OBJ_DVBLASTCTL = util.o dvblastctl.o

ifndef V
Q = @
endif

CLEAN_OBJS = dvblast dvblastctl $(OBJ_DVBLAST) $(OBJ_DVBLASTCTL)
INSTALL_BIN = dvblast dvblastctl dvblast_mmi.sh
INSTALL_MAN = dvblast.1

PREFIX ?= /usr/local
BIN = $(subst //,/,$(DESTDIR)/$(PREFIX)/bin)
MAN = $(subst //,/,$(DESTDIR)/$(PREFIX)/share/man/man1)

all: dvblast dvblastctl

.PHONY: clean install uninstall dist

%.o: %.c Makefile dvblast.h en50221.h comm.h version.h asi.h mrtg-cnt.h
	@echo "CC      $<"
	$(Q)$(CC) $(CFLAGS) -c $<

dvblast: $(OBJ_DVBLAST)
	@echo "LINK    $@"
	$(Q)$(CC) -o $@ $(OBJ_DVBLAST) $(LDLIBS_DVBLAST) $(LDLIBS)

dvblastctl: $(OBJ_DVBLASTCTL)
	@echo "LINK    $@"
	$(Q)$(CC) -o $@ $(OBJ_DVBLASTCTL) $(LDLIBS_DVBLAST) $(LDLIBS)

clean:
	@echo "CLEAN   $(CLEAN_OBJS)"
	$(Q)rm -f $(CLEAN_OBJS)

install: all
	@install -d "$(BIN)"
	@install -d "$(MAN)"
	@echo "INSTALL $(INSTALL_MAN) -> $(MAN)"
	$(Q)install -m 644 dvblast.1 "$(MAN)"
	@echo "INSTALL $(INSTALL_BIN) -> $(BIN)"
	$(Q)install dvblast dvblastctl dvblast_mmi.sh "$(BIN)"

uninstall:
	@-for FILE in $(INSTALL_BIN); do \
		echo "RM       $(BIN)/$$FILE"; \
		rm "$(BIN)/$$FILE"; \
	done
	@-for FILE in $(INSTALL_MAN); do \
		echo "RM       $(MAN)/$$FILE"; \
		rm "$(MAN)/$$FILE"; \
	done

dist: clean
	@echo "ARCHIVE dvblast-$(VERSION).tar.bz2"
	$(Q)git archive --format=tar --prefix=dvblast-$(VERSION)/ master | bzip2 -9 > dvblast-$(VERSION).tar.bz2
	$(Q)ls -l dvblast-$(VERSION).tar.bz2

## dvblast 1.2

=== debian/changelog ===
dvblast (1.2-2) unstable; urgency=low

  [ Alessio Treglia ]
  * Switch to packaging format '3.0 (quilt)'.
  * Update Standards to 3.9.2.

  [ Rémi Duraffort ]
  * Fix lintian error (missing dependency).
  * Fix Maintainer field
  * Remove the dependency to libdvbpsi5-dev.
  * Update standards version.

 -- Rémi Duraffort <ivoire@videolan.org>  Fri, 03 Jun 2011 09:16:56 +0200

dvblast (1.2-1) unstable; urgency=low

  [ Christophe Mutricy ]
  * Use a long list of architecture

  [ Rémi Duraffort ]
  * Add a gbp.conf file that say we use pristine-tar.
  * Update maintainers and uploaders.
  * Fix typo in the Makefile.
  * Add a .gitignore file.
  * Update Debian Policy to 3.8.4.
  * Remove patch merged upstream.
  * Update patch for the Makefile.
  * Set the prefix for the installation.
  * Use the upstream manpage.
  * Add a patch to fix a typo in the manpage.
  * Add the right Vcs headers.

 -- Rémi Duraffort <ivoire@videolan.org>  Mon, 01 Mar 2010 23:31:02 +0100

dvblast (1.1-1) unstable; urgency=low

  * Initial release (Closes: #565740).

 -- Rémi Duraffort <ivoire@videolan.org>  Mon, 18 Jan 2010 14:30:15 +0100

=== debian/control ===
Source: dvblast
Section: video
Priority: optional
Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
Uploaders: Rémi Duraffort <ivoire@videolan.org>,
           Sam Hocevar (Debian packages) <sam+deb@zoy.org>,
           Christophe Mutricy <xtophe@videolan.org>,
Build-Depends: debhelper (>= 7),
               libdvbpsi-dev,
               linux-libc-dev
Standards-Version: 3.9.2
Homepage: http://www.videolan.org/projects/dvblast.html
Vcs-Git: git://git.debian.org/git/pkg-multimedia/dvblast.git
Vcs-Browser: http://git.debian.org/?p=pkg-multimedia/dvblast.git

Package: dvblast
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Simple and powerful dvb-streaming application
 DVBlast is a simple and powerful streaming application based on the linux-dvb
 API.
 It opens a DVB device, tunes it, places PID filters, configures a CAM module,
 and demultiplexes the packets to several RTP outputs.
 .
 DVBlast is designed to be the core of a custom IRD or CID, based on a PC with
 Linux-supported DVB cards.
 .
 DVBlast does not do any kind of processing on the elementary streams, such as
 transcoding, PID remapping or remultiplexing. it does not stream from plain
 files, only DVB devices. If you were looking for these features, switch to VLC.

## dvblast 2.1.0

=== debian/changelog ===
dvblast (2.1.0-1) unstable; urgency=low

  * Team upload.
  * New upstream release.
  * Drop 02_fix_typo_in_manpage.diff patch, applied upstream.
  * Refresh 01_remove_bad_cflags.diff patch.
  * Replace libdvbpsi-dev with libbitstream-dev in the Depends field.

 -- Alessio Treglia <alessio@debian.org>  Mon, 13 Feb 2012 19:39:28 +0100

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
            Sam Hocevar (Debian packages) <sam+deb@zoy.org>,
            Christophe Mutricy <xtophe@videolan.org>,
 Build-Depends: debhelper (>= 7),
-               libdvbpsi-dev,
+               libbitstream-dev,
                linux-libc-dev
 Standards-Version: 3.9.2
 Homepage: http://www.videolan.org/projects/dvblast.html

## dvblast 2.2

=== Makefile ===
--- 
+++ 
@@ -1,12 +1,13 @@
-# DVBlast Makefile
-# Customise the path of your kernel
-
-VERSION = 2.1.0
+VERSION_MAJOR = 2
+VERSION_MINOR = 2
 TOPDIR = `basename ${PWD}`
 GIT_VER = $(shell git describe --tags --dirty --always 2>/dev/null)
 
 CFLAGS += -Wall -Wformat-security -O3 -fomit-frame-pointer
 CFLAGS += -g
+CFLAGS += -DVERSION=\"$(VERSION_MAJOR).$(VERSION_MINOR)\"
+CFLAGS += -DVERSION_MAJOR=$(VERSION_MAJOR)
+CFLAGS += -DVERSION_MINOR=$(VERSION_MINOR)
 ifneq "$(GIT_VER)" ""
 CFLAGS += -DVERSION_EXTRA=\"git-$(GIT_VER)\"
 else
@@ -34,7 +35,7 @@
 
 .PHONY: clean install uninstall dist
 
-%.o: %.c Makefile dvblast.h en50221.h comm.h version.h asi.h mrtg-cnt.h
+%.o: %.c Makefile dvblast.h en50221.h comm.h asi.h mrtg-cnt.h
 	@echo "CC      $<"
 	$(Q)$(CC) $(CFLAGS) -c $<
 
@@ -49,6 +50,8 @@
 clean:
 	@echo "CLEAN   $(CLEAN_OBJS)"
 	$(Q)rm -f $(CLEAN_OBJS)
+
+distclean: clean
 
 install: all
 	@install -d "$(BIN)"

=== debian/changelog ===
dvblast (2.2-1) unstable; urgency=low

  * Team upload.
  * New upstream bugfix release:
    - Fixed a regression that prevented ECM pass-through (-Y) from
      working.
    - Handle ECM pids that are described in PMT ES descriptor loop.
  * Refresh patches.
  * Bump Standards.

 -- Alessio Treglia <alessio@debian.org>  Thu, 12 Apr 2012 02:04:18 +0200

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
 Build-Depends: debhelper (>= 7),
                libbitstream-dev,
                linux-libc-dev
-Standards-Version: 3.9.2
+Standards-Version: 3.9.3
 Homepage: http://www.videolan.org/projects/dvblast.html
 Vcs-Git: git://git.debian.org/git/pkg-multimedia/dvblast.git
 Vcs-Browser: http://git.debian.org/?p=pkg-multimedia/dvblast.git

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
export PREFIX=/usr
%:
	dh $@

## dvblast 3.0

=== Makefile ===
--- 
+++ 
@@ -1,9 +1,11 @@
-VERSION_MAJOR = 2
-VERSION_MINOR = 2
+VERSION_MAJOR = 3
+VERSION_MINOR = 0
 TOPDIR = `basename ${PWD}`
 GIT_VER = $(shell git describe --tags --dirty --always 2>/dev/null)
+uname_S := $(shell sh -c 'uname -s 2>/dev/null || echo not')
+deltacast_inc := $(shell sh -c 'test -f /usr/include/StreamMaster.h && echo -n Y')
 
-CFLAGS += -Wall -Wformat-security -O3 -fomit-frame-pointer
+CFLAGS += -Wall -Wformat-security -Wno-strict-aliasing -O3 -fomit-frame-pointer
 CFLAGS += -g
 CFLAGS += -DVERSION=\"$(VERSION_MAJOR).$(VERSION_MINOR)\"
 CFLAGS += -DVERSION_MAJOR=$(VERSION_MAJOR)
@@ -13,10 +15,22 @@
 else
 CFLAGS += -DVERSION_EXTRA=\"release\"
 endif
+
+ifeq ($(uname_S),Linux)
 LDLIBS += -lrt
-LDLIBS_DVBLAST += -lpthread
+endif
+ifeq ($(uname_S),Darwin)
+LDLIBS += -liconv
+endif
 
-OBJ_DVBLAST = dvblast.o util.o dvb.o udp.o asi.o demux.o output.o en50221.o comm.o mrtg-cnt.o
+ifeq ($(deltacast_inc),Y)
+CFLAGS += -DHAVE_ASI_DELTACAST_SUPPORT
+LDLIBS += -lstreammaster
+endif
+
+LDLIBS_DVBLAST += -lpthread -lev
+
+OBJ_DVBLAST = dvblast.o util.o dvb.o udp.o asi.o demux.o output.o en50221.o comm.o mrtg-cnt.o asi-deltacast.o
 OBJ_DVBLASTCTL = util.o dvblastctl.o
 
 ifndef V
@@ -35,17 +49,17 @@
 
 .PHONY: clean install uninstall dist
 
-%.o: %.c Makefile dvblast.h en50221.h comm.h asi.h mrtg-cnt.h
+%.o: %.c Makefile config.h dvblast.h en50221.h comm.h asi.h mrtg-cnt.h asi-deltacast.h
 	@echo "CC      $<"
-	$(Q)$(CC) $(CFLAGS) -c $<
+	$(Q)$(CROSS)$(CC) $(CFLAGS) $(CPPFLAGS) -c $<
 
 dvblast: $(OBJ_DVBLAST)
 	@echo "LINK    $@"
-	$(Q)$(CC) -o $@ $(OBJ_DVBLAST) $(LDLIBS_DVBLAST) $(LDLIBS)
+	$(Q)$(CROSS)$(CC) -o $@ $(OBJ_DVBLAST) $(LDLIBS_DVBLAST) $(LDLIBS)
 
 dvblastctl: $(OBJ_DVBLASTCTL)
 	@echo "LINK    $@"
-	$(Q)$(CC) -o $@ $(OBJ_DVBLASTCTL) $(LDLIBS_DVBLAST) $(LDLIBS)
+	$(Q)$(CROSS)$(CC) -o $@ $(OBJ_DVBLASTCTL) $(LDLIBS)
 
 clean:
 	@echo "CLEAN   $(CLEAN_OBJS)"
@@ -72,7 +86,7 @@
 	done
 
 dist: clean
-	@echo "ARCHIVE dvblast-$(VERSION).tar.bz2"
-	$(Q)git archive --format=tar --prefix=dvblast-$(VERSION)/ master | bzip2 -9 > dvblast-$(VERSION).tar.bz2
-	$(Q)ls -l dvblast-$(VERSION).tar.bz2
+	@echo "ARCHIVE dvblast-$(VERSION_MAJOR).$(VERSION_MINOR).tar.bz2"
+	$(Q)git archive --format=tar --prefix=dvblast-$(VERSION_MAJOR).$(VERSION_MINOR)/ master | bzip2 -9 > dvblast-$(VERSION_MAJOR).$(VERSION_MINOR).tar.bz2
+	$(Q)ls -l dvblast-$(VERSION_MAJOR).$(VERSION_MINOR).tar.bz2

=== debian/changelog ===
dvblast (3.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * debian/control:
    - Add libev-dev to Build-Depends.
    - Use canonical Vcs-*.
    - Bump Standards-Version to 3.9.6.
  * debian/compat: Bump compat to 9.
  * debian/rules:
    - Enable verbose build logs.
    - Install NEWS as changelog.
  * debian/patches:
    - 01_remove_bad_cflags.diff: Removed, no needed.
    - honor-LDFLAGS.patch: Honor LDFLAGS during build.
    - spelling.patch: Fix spelling mistake.

 -- Sebastian Ramacher <sramacher@debian.org>  Mon, 16 Nov 2015 23:23:06 +0100

=== debian/control ===
--- 
+++ 
@@ -4,14 +4,15 @@
 Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
 Uploaders: Rémi Duraffort <ivoire@videolan.org>,
            Sam Hocevar (Debian packages) <sam+deb@zoy.org>,
-           Christophe Mutricy <xtophe@videolan.org>,
-Build-Depends: debhelper (>= 7),
+           Christophe Mutricy <xtophe@videolan.org>
+Build-Depends: debhelper (>= 9),
                libbitstream-dev,
-               linux-libc-dev
-Standards-Version: 3.9.3
+               linux-libc-dev,
+               libev-dev
+Standards-Version: 3.9.6
 Homepage: http://www.videolan.org/projects/dvblast.html
-Vcs-Git: git://git.debian.org/git/pkg-multimedia/dvblast.git
-Vcs-Browser: http://git.debian.org/?p=pkg-multimedia/dvblast.git
+Vcs-Git: git://anonscm.debian.org/pkg-multimedia/dvblast.git
+Vcs-Browser: https://anonscm.debian.org/cgit/pkg-multimedia/dvblast.git
 
 Package: dvblast
 Architecture: any

=== debian/watch ===
version=3

http://download.videolan.org/pub/videolan/dvblast/([\d][\d\.]+[a-z]?)/dvblast-([\d][\d\.]+[a-z]?)\.tar\.bz2

## dvblast 3.1

=== Makefile ===
--- 
+++ 
@@ -1,12 +1,12 @@
 VERSION_MAJOR = 3
-VERSION_MINOR = 0
+VERSION_MINOR = 1
 TOPDIR = `basename ${PWD}`
 GIT_VER = $(shell git describe --tags --dirty --always 2>/dev/null)
 uname_S := $(shell sh -c 'uname -s 2>/dev/null || echo not')
 deltacast_inc := $(shell sh -c 'test -f /usr/include/StreamMaster.h && echo -n Y')
 
-CFLAGS += -Wall -Wformat-security -Wno-strict-aliasing -O3 -fomit-frame-pointer
-CFLAGS += -g
+CFLAGS ?= -O3 -fomit-frame-pointer -g
+CFLAGS += -Wall -Wformat-security -Wno-strict-aliasing
 CFLAGS += -DVERSION=\"$(VERSION_MAJOR).$(VERSION_MINOR)\"
 CFLAGS += -DVERSION_MAJOR=$(VERSION_MAJOR)
 CFLAGS += -DVERSION_MINOR=$(VERSION_MINOR)
@@ -55,11 +55,11 @@
 
 dvblast: $(OBJ_DVBLAST)
 	@echo "LINK    $@"
-	$(Q)$(CROSS)$(CC) -o $@ $(OBJ_DVBLAST) $(LDLIBS_DVBLAST) $(LDLIBS)
+	$(Q)$(CROSS)$(CC) $(LDFLAGS) -o $@ $(OBJ_DVBLAST) $(LDLIBS_DVBLAST) $(LDLIBS)
 
 dvblastctl: $(OBJ_DVBLASTCTL)
 	@echo "LINK    $@"
-	$(Q)$(CROSS)$(CC) -o $@ $(OBJ_DVBLASTCTL) $(LDLIBS)
+	$(Q)$(CROSS)$(CC) $(LDFLAGS) -o $@ $(OBJ_DVBLASTCTL) $(LDLIBS)
 
 clean:
 	@echo "CLEAN   $(CLEAN_OBJS)"

=== debian/changelog ===
dvblast (3.1-2) unstable; urgency=medium

  * Team upload.
  * Upload to unstable.
  * debian/control: Bump Standards-Version.

 -- Sebastian Ramacher <sramacher@debian.org>  Tue, 20 Jun 2017 22:21:07 +0200

dvblast (3.1-1) experimental; urgency=medium

  * New upstream release.
  * debian/control:
    - Bump Standards-Version.
    - Update Vcs-Git.
  * debian/{control,compat}: Bump debhelper compat to 10.
  * debian/patches: Remove patches, integrated upstream.
  * debian/copyright: Convert to CF-1.0.

 -- Sebastian Ramacher <sramacher@debian.org>  Sat, 04 Feb 2017 14:25:13 +0100

=== debian/control ===
--- 
+++ 
@@ -5,13 +5,13 @@
 Uploaders: Rémi Duraffort <ivoire@videolan.org>,
            Sam Hocevar (Debian packages) <sam+deb@zoy.org>,
            Christophe Mutricy <xtophe@videolan.org>
-Build-Depends: debhelper (>= 9),
+Build-Depends: debhelper (>= 10),
                libbitstream-dev,
                linux-libc-dev,
                libev-dev
-Standards-Version: 3.9.6
+Standards-Version: 4.0.0
 Homepage: http://www.videolan.org/projects/dvblast.html
-Vcs-Git: git://anonscm.debian.org/pkg-multimedia/dvblast.git
+Vcs-Git: https://anonscm.debian.org/git/pkg-multimedia/dvblast.git
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-multimedia/dvblast.git
 
 Package: dvblast

## dvblast 3.3

=== debian/changelog ===
dvblast (3.3-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/copyright: Use https protocol in Format field
  * d/control: Set Vcs-* to salsa.debian.org

  [ Felipe Sateler ]
  * Change maintainer address to debian-multimedia@lists.debian.org

  [ Sebastian Ramacher ]
  * New upstream release.
  * debian/copyright: Bump copyright years
  * debian/control:
    - Bump Standards-Version
    - Add myself to Uploaders
  * debian/: Bump debhelper compat to 11
  * debian/watch: Use https.

 -- Sebastian Ramacher <sramacher@debian.org>  Tue, 17 Jul 2018 09:53:53 +0200

=== debian/control ===
--- 
+++ 
@@ -1,18 +1,19 @@
 Source: dvblast
 Section: video
 Priority: optional
-Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
+Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
 Uploaders: Rémi Duraffort <ivoire@videolan.org>,
            Sam Hocevar (Debian packages) <sam+deb@zoy.org>,
-           Christophe Mutricy <xtophe@videolan.org>
-Build-Depends: debhelper (>= 10),
+           Christophe Mutricy <xtophe@videolan.org>,
+           Sebastian Ramacher <sramacher@debian.org>
+Build-Depends: debhelper (>= 11),
                libbitstream-dev,
                linux-libc-dev,
                libev-dev
-Standards-Version: 4.0.0
+Standards-Version: 4.1.5
 Homepage: http://www.videolan.org/projects/dvblast.html
-Vcs-Git: https://anonscm.debian.org/git/pkg-multimedia/dvblast.git
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-multimedia/dvblast.git
+Vcs-Git: https://salsa.debian.org/multimedia-team/dvblast.git
+Vcs-Browser: https://salsa.debian.org/multimedia-team/dvblast
 
 Package: dvblast
 Architecture: any

## dvblast 3.4

=== Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 VERSION_MAJOR = 3
-VERSION_MINOR = 1
+VERSION_MINOR = 4
 TOPDIR = `basename ${PWD}`
 GIT_VER = $(shell git describe --tags --dirty --always 2>/dev/null)
 uname_S := $(shell sh -c 'uname -s 2>/dev/null || echo not')

=== debian/changelog ===
dvblast (3.4-1build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 16:46:24 +1100

dvblast (3.4-1build1) noble; urgency=medium

  * No-change rebuild for libev1 t64.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 14 Mar 2024 01:38:17 +0100

dvblast (3.4-1) unstable; urgency=medium

  * New upstream release.
  * debian/rules:
    - Bump Standards-Version.
    - Use Architecture: linux-any instead of B-D on linux-libc-dev.

 -- Sebastian Ramacher <sramacher@debian.org>  Mon, 24 Sep 2018 18:33:09 +0200

=== debian/control ===
--- 
+++ 
@@ -1,22 +1,22 @@
 Source: dvblast
 Section: video
 Priority: optional
-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
 Uploaders: Rémi Duraffort <ivoire@videolan.org>,
            Sam Hocevar (Debian packages) <sam+deb@zoy.org>,
            Christophe Mutricy <xtophe@videolan.org>,
            Sebastian Ramacher <sramacher@debian.org>
 Build-Depends: debhelper (>= 11),
                libbitstream-dev,
-               linux-libc-dev,
                libev-dev
-Standards-Version: 4.1.5
+Standards-Version: 4.2.1
 Homepage: http://www.videolan.org/projects/dvblast.html
 Vcs-Git: https://salsa.debian.org/multimedia-team/dvblast.git
 Vcs-Browser: https://salsa.debian.org/multimedia-team/dvblast
 
 Package: dvblast
-Architecture: any
+Architecture: linux-any
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: Simple and powerful dvb-streaming application
  DVBlast is a simple and powerful streaming application based on the linux-dvb

=== debian/watch ===
version=4
https://download.videolan.org/pub/videolan/dvblast/([\d][\d\.]+[a-z]?)/dvblast-([\d][\d\.]+[a-z]?)\.tar\.bz2

## dvblast 3.5

=== Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 VERSION_MAJOR = 3
-VERSION_MINOR = 4
+VERSION_MINOR = 5
 TOPDIR = `basename ${PWD}`
 GIT_VER = $(shell git describe --tags --dirty --always 2>/dev/null)
 uname_S := $(shell sh -c 'uname -s 2>/dev/null || echo not')

=== debian/changelog ===
dvblast (3.5-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Use secure URI in Homepage field.
  * Bump debhelper from old 11 to 12.

  [ Bastian Germann ]
  * Drop Sam from Uploaders (inactive)

  [ Sebastian Ramacher ]
  * New upstream version 3.5
  * debian/control:
    - Bump Standards-Version
    - Bump debhelper compat to 13
    - Bump libbitstream-dev to >= 1.6
  * debian/copyright: Update copyright years

 -- Sebastian Ramacher <sramacher@debian.org>  Sun, 30 Nov 2025 10:32:14 +0100

=== debian/control ===
Source: dvblast
Section: video
Priority: optional
Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
Uploaders:
 Rémi Duraffort <ivoire@videolan.org>,
 Christophe Mutricy <xtophe@videolan.org>,
 Sebastian Ramacher <sramacher@debian.org>
Build-Depends:
 debhelper-compat (= 13),
 libbitstream-dev (>= 1.6),
 libev-dev
Standards-Version: 4.7.2
Homepage: https://www.videolan.org/projects/dvblast.html
Vcs-Git: https://salsa.debian.org/multimedia-team/dvblast.git
Vcs-Browser: https://salsa.debian.org/multimedia-team/dvblast

Package: dvblast
Architecture: linux-any
Depends:
 ${misc:Depends},
 ${shlibs:Depends}
Description: Simple and powerful dvb-streaming application
 DVBlast is a simple and powerful streaming application based on the linux-dvb
 API.
 It opens a DVB device, tunes it, places PID filters, configures a CAM module,
 and demultiplexes the packets to several RTP outputs.
 .
 DVBlast is designed to be the core of a custom IRD or CID, based on a PC with
 Linux-supported DVB cards.
 .
 DVBlast does not do any kind of processing on the elementary streams, such as
 transcoding, PID remapping or remultiplexing. it does not stream from plain
 files, only DVB devices. If you were looking for these features, switch to VLC.

=== debian/watch ===
Version: 5

Source: https://download.videolan.org/pub/videolan/dvblast/@ANY_VERSION@/
Matching-Pattern: dvblast-@ANY_VERSION@\.tar\.bz2
